/*
 
Copyright (C) 2006 NTT DATA Corporation
 
This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation, version 2.
 
This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied 
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  See the GNU General Public License for more details.
 
*/

package com.clustercontrol.bean;

import com.clustercontrol.util.Messages;

/**
 * ping監視実行回数定数クラス
 * 
 * @version 2.0.0
 * @since 2.0.0
 */
public class PingRunCountConstant {
	
    /** 1秒 */
    public static final int TYPE_COUNT_01 = 1;

    /** 2秒 */
    public static final int TYPE_COUNT_02 = 2;
    
    
    /** 1秒 */
    public static final String STRING_COUNT_01 = TYPE_COUNT_01 + Messages.getString("count");

    /** 2秒 */
    public static final String STRING_COUNT_02 = TYPE_COUNT_02 + Messages.getString("count");
    
    /**
     * 種別から文字列に変換する
     * 
     * @param type
     * @return
     */
    public static String typeToString(int type) {
        if (type == TYPE_COUNT_01) {
            return STRING_COUNT_01;
        } else if (type == TYPE_COUNT_02) {
            return STRING_COUNT_02;
        }
        return "";
    }

    /**
     * 文字列から種別に変換する
     * 
     * @param type
     * @return
     */
    public static int stringToType(String string) {
        if (string.equals(STRING_COUNT_01)) {
            return TYPE_COUNT_01;
        } else if (string.equals(STRING_COUNT_02)) {
            return TYPE_COUNT_02;
        }
        return -1;
    }
}