/*
 
 Copyright (C) 2006 NTT DATA Corporation
 
 This program is free software; you can redistribute it and/or
 Modify it under the terms of the GNU General Public License 
 as published by the Free Software Foundation, version 2.
 
 This program is distributed in the hope that it will be
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE.  See the GNU General Public License for more details.
 
 */

package com.clustercontrol.accesscontrol.action;

import java.rmi.RemoteException;

import javax.naming.NamingException;

import com.clustercontrol.accesscontrol.ejb.session.AccessController;
import com.clustercontrol.accesscontrol.util.EjbConnectionManager;

/**
 * 権限確認クラス
 * 
 * @version 2.1.0
 * @since 2.1.0
 */
public class CheckPermission {
	
	/**
	 * 呼び出し側に特定のセキュリティロールがあるかどうかを判定します。
	 * 
	 * @param roleName セキュリティロール名
	 * @return 呼び出し側に指定のロールがある場合は true
	 */
	public boolean check(String roleName) {
		AccessController access = 
			EjbConnectionManager.getConnectionManager().getAccessController();
		
		try {
			return access.isPermission(roleName);
		} catch (RemoteException e) {
		} catch (NamingException e) {
		}
		return false;
	}
}