/*
 
 Copyright (C) 2006 NTT DATA Corporation
 
 This program is free software; you can redistribute it and/or
 Modify it under the terms of the GNU General Public License 
 as published by the Free Software Foundation, version 2.
 
 This program is distributed in the hope that it will be
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE.  See the GNU General Public License for more details.
 
 */

package com.clustercontrol.accesscontrol.action;

import java.rmi.RemoteException;

import javax.ejb.FinderException;
import javax.naming.NamingException;

import com.clustercontrol.accesscontrol.ejb.session.AccessController;
import com.clustercontrol.accesscontrol.util.EjbConnectionManager;

/**
 * ユーザ情報取得クラス
 * 
 * @version 2.1.0
 * @since 2.1.0
 */
public class GetUserInfo {
	
	/**
	 * ユーザ名を取得します
	 * 
	 * @return ユーザ名
	 */
	public String getName() {
		AccessController access = 
			EjbConnectionManager.getConnectionManager().getAccessController();
		
		try {
			return access.getUserName();
		} catch (RemoteException e) {
		} catch (NamingException e) {
		} catch (FinderException e) {
		}
		return null;
	}
}