/*

 Copyright (C) 2006 NTT DATA Corporation

 This program is free software; you can redistribute it and/or
 Modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation, version 2.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 */

package com.clustercontrol.performance.monitor.action;

import java.rmi.RemoteException;
import java.util.ArrayList;
import java.util.Locale;

import com.clustercontrol.performance.monitor.util.EjbConnectionManager;
import com.clustercontrol.performanceMGR.monitor.ejb.session.MonitorPerfController;


/**
 * リソース監視一覧テーブル定義情報を取得するクラスです。
 * 
 * @version 2.0.0
 * @since 2.0.0
 */
public class GetPerformanceListTableDefine {

    /**
     * 閾値監視一覧のテーブル定義情報を返します。
     * 
     * @return 閾値監視一覧テーブル定義情報
     */
    public static ArrayList get() {
    	MonitorPerfController ctr = EjbConnectionManager.getConnectionManager()
                .getMonitorPerfController();

        ArrayList tableDefine = null;
        try {
            tableDefine = ctr.getPerformanceListTableDefine(Locale.getDefault());
        } catch (RemoteException e) {
        }
        return tableDefine;
    }
}